Bug 143424 - Field "Chapter number without separator" is using the separators
Summary: Field "Chapter number without separator" is using the separators
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.1 rc
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:7.3.0 target:7.2.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Fields
  Show dependency treegraph
 
Reported: 2021-07-17 17:41 UTC by phv
Modified: 2021-07-30 17:58 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample about the field reference bug (10.15 KB, application/vnd.oasis.opendocument.text)
2021-07-18 12:08 UTC, phv
Details
verified (27.13 KB, image/png)
2021-07-30 17:58 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description phv 2021-07-17 17:41:18 UTC
Description:
This bug is breaking the field I've added in a document footer: the reference to the chapters are displayed with the separators when I specified Libreoffice Writer not to do it.

It looks like the field keeps adding the separators before and after the field reference.

Steps to Reproduce:
1. Create a new chapter numbering with numbering and separators (ex.: Chapter 1 -)
2. Write a new heading that refers to this chapter numbering (ex.: Heading 1)
3. Insert a new document field and choose "Chapter number without separator"

Actual Results:
The field shows the chapter number WITH the separators.

Expected Results:
The field should show the chapter number WITHOUT the separators.


Reproducible: Always


User Profile Reset: No



Additional Info:
This bug has been introduced in version 7.2.0.1.
Comment 1 m.a.riosv 2021-07-18 11:08:03 UTC
Please attach a sample file.
Comment 2 phv 2021-07-18 12:08:39 UTC
Created attachment 173658 [details]
Sample about the field reference bug
Comment 3 Buovjaga 2021-07-18 14:44:29 UTC
Repro with file and also from scratch. With the file you need to first remove the existing inserted fields to be able to insert yourself.

NixOS
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: b1df9c67349cf4cc5be4128d797aefb87f50e38f
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: x11
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded

It is working fine in

Version: 7.1.4.2 / LibreOffice Community
Build ID: 10(Build:2)
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded

In the working case you will see the field with "1" in the example file.
Comment 4 raal 2021-07-19 17:26:21 UTC
This seems to have begun at the below commit.
Adding Cc: to Vasily Melenchuk ; Could you possibly take a look at this one?
Thanks
 d791b6a5e052b463f302ca62f03e364668a87018 is the first bad commit
commit d791b6a5e052b463f302ca62f03e364668a87018
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Jun 29 02:01:47 2021 +0200

    source aa5c6d127559912ad60a63fbd972b78fb8f9691b

https://git.libreoffice.org/core/+/aa5c6d127559912ad60a63fbd972b78fb8f9691b 
   new ODF numbered list parameter loext:num-list-format
Comment 5 Commit Notification 2021-07-26 13:19:18 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d44730148a95933f4a45a70241cb6d1d0546f626

tdf#143424: support for "Chapter number without separator"

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-07-27 08:52:44 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/cd5c97ef20510bf13ef32bf268f086d758e8d577

tdf#143424: support for "Chapter number without separator"

It will be available in 7.2.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 BogdanB 2021-07-30 17:58:03 UTC
Created attachment 173981 [details]
verified

Verified in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 5aa74aa1e6fac571f99146ebcb6adc9feb1459ad
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-07-28_19:35:14
Calc: threaded